FUSE_GET_CONTEXT(3)

NAME
fuse_get_context - FUSE utility routine

SYNOPSIS
libfuse
#include <fuse.h>
struct fuse_context *
fuse_get_context(void);

DESCRIPTION
fuse_get_context() returns a pointer to the structure fuse_context. This can be used by file systems to obtain information about the thread that is accessing the file system. The returned fuse_context is only valid during the lifetime of a FUSE operation.

    struct fuse_context {
        struct fuse *   fuse;
        uid_t     uid;		/* effective user id */
        gid_t     gid;		/* effective group id */
        pid_t     pid;		/* thread id */
        void      *private_data;	/* set by file system on mount */
        mode_t    umask;		/* umask of the thread */
    };

SEE ALSO
fuse_new(3)

STANDARDS
The fuse_get_context() function conforms to FUSE 2.6.

HISTORY
The fuse_get_context() function first appeared in OpenBSD 5.4.

AUTHORS
Sylvestre Gallon <ccna.syl@gmail.com>